FLTK 1.3.3: Fl_Surface_Device Class Reference

FLTK 1.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
Fl_Surface_Device Class Reference

A surface that's susceptible to receive graphical output. More...

`#include <Fl_Device.H>`

Inheritance diagram for Fl_Surface_Device:

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object. More...
void | driver (Fl_Graphics_Driver *graphics_driver)
| Sets the graphics driver of this drawing surface. More...
Fl_Graphics_Driver * | driver ()
| Returns the graphics driver of this drawing surface. More...
virtual void | set_current (void)
| Use this drawing surface for future graphics requests. More...
virtual | ~Fl_Surface_Device ()
| The destructor. More...
Public Member Functions inherited from Fl_Device
virtual | ~Fl_Device ()
| Virtual destructor. More...

## Static Public Member Functions
static Fl_Surface_Device * | surface ()
| the surface that currently receives graphics output

## Static Public Attributes
static const char * | class_id = "Fl_Surface_Device"
Static Public Attributes inherited from Fl_Device
static const char * | class_id = "Fl_Device"
| A string that identifies each subclass of Fl_Device. More...

## Protected Member Functions
| Fl_Surface_Device (Fl_Graphics_Driver *graphics_driver)
| Constructor that sets the graphics driver to use for the created surface. More...

## Detailed Description

A surface that's susceptible to receive graphical output.

## Constructor & Destructor Documentation

Fl_Surface_Device::Fl_Surface_Device | ( | Fl_Graphics_Driver * | graphics_driver | ) |
| inlineprotected

Constructor that sets the graphics driver to use for the created surface.

virtual Fl_Surface_Device::~Fl_Surface_Device | ( |  | ) |
| inlinevirtual

The destructor.

## Member Function Documentation

const char* Fl_Surface_Device::class_name | ( |  | ) |
| inlinevirtual

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_Device.

Reimplemented in Fl_Display_Device, Fl_PostScript_File_Device, Fl_Printer, Fl_Paged_Device, Fl_PostScript_Printer, Fl_System_Printer, and Fl_Image_Surface.

void Fl_Surface_Device::driver | ( | Fl_Graphics_Driver * | graphics_driver | ) |
| inline

Sets the graphics driver of this drawing surface.

Fl_Graphics_Driver* Fl_Surface_Device::driver | ( | void |  | ) |
| inline

Returns the graphics driver of this drawing surface.

void Fl_Surface_Device::set_current | ( | void |  | ) |
| virtual

Use this drawing surface for future graphics requests.

Reimplemented in Fl_Printer, Fl_Copy_Surface, and Fl_Image_Surface.

The documentation for this class was generated from the following files:

- Fl_Device.H
- Fl_Device.cxx

- © 1998-2014 by Bill Spitzak and others.